Newbie, looking for a library


#1

Hello, I’m trying to test the ruby-activeldap libraries. I’ve installed
the package
with gem tool, and my LOAD_PATH is:

ruby -e ‘p $LOAD_PATH’

[".", “/home/eyp/Desarrollo/ruby/lib”,
“/home/eyp/Desarrollo/ruby/lib/sybase”, “/usr/lib/ruby”,
“/usr/lib/site_ruby/1.8”, “/usr/lib/site_ruby/1.8/i386-linux”,
“/usr/lib/site_ruby”, “/usr/lib/ruby/1.8”,
“/usr/lib/ruby/1.8/i386-linux”, “.”]

Of course, there is a
/usr/lib/ruby/gems/1.8/gems/ruby-activeldap-0.6.0/lib/activeldap.rb
file.

Well, if I do:

irb
irb(main):001:0> require ‘activeldap’
LoadError: no such file to load – activeldap
from (irb):1:in `require’
from (irb):1

same happens with another libraries like log4r, but if I go to the
directory where the log4r.rb is and do
require ‘log4r’ it works fine.

What am I doing wrong?


#2

On 01/02/06, EdUarDo removed_email_address@domain.invalid wrote:

Hello, I’m trying to test the ruby-activeldap libraries. I’ve installed the package
with gem tool, and my LOAD_PATH is:

require ‘rubygems’
require ‘activeldap’

-austin